netif_rx
Prev | Driver Support | Next

## Name

netif_rx — post buffer to the network code

## Synopsis

`int netif_rx (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  buffer to post

## Description

This function receives a packet from a device driver and queues it for the upper (protocol) levels to process. It always succeeds. The buffer may be dropped during processing for congestion control or by the protocol layers.

## return values

NET_RX_SUCCESS (no congestion) NET_RX_CN_LOW (low congestion) NET_RX_CN_MOD (moderate congestion) NET_RX_CN_HIGH (high congestion) NET_RX_DROP (packet was dropped)

Prev | Up | Next
dev_queue_xmit | Home | register_gifconf